<?php	
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy do ładowanie menu Black Mina
	
	Black Min cms,
	
	#plik: 1.0
*/


	class posts_bm {
		
		// zmiena odpowiedzialna za ilość  ładowanych danych (postów)
		var $ile_load = "25";
	
		// zmiene odpowiedzilne za wyświetlanie posta
		var $id_post = [];
		var $dodajacy_post = [];
		var $tytul_post = [];
		var $url_post = [];
		var $kategoria_post = [];
		var $kategoria_post_post = [];
		var $status_post = [];
		var $password_post = [];
		var $tagi_post = [];
		var $datetime_post = [];
		var $datetime_zmiany_post = [];
		var $kto_edit_post = [];
		var $komentarze = [];
		var $miniaturka = [];
		var $tresc_post = [];
		
		// zmiena do przechowywanie adresu pod którym znajduje się post
		// adres jest generowany automatycznie ze wytycznych black min'a (timonix'a)
		var $address_post = [];
		
		// zmiena odpowiedzialna za zmienianie liczby znalezionych wyników
		var $ile_query_post_load = 0;
		
		// funkcjia do aktulizowania ładowanego posta
		public function update_load_post($ile){
			$this->load_post = "$ile";
			return $ile;
		}
	
		// funkcjia do pobierania menu z bazy danych
		public function get_post_bm() {
			global $host, $db_user, $db_password, $db_name, $prefix_table, $polaczenie, $rezultat, $date, $date2, $date3, $date4, $time, $time2;

			mysqli_report(MYSQLI_REPORT_STRICT);
				
			try 
			{
				$polaczenie = new mysqli($host, $db_user, $db_password, $db_name);
				if ($polaczenie->connect_errno!=0)
				{
					throw new Exception(mysqli_connect_errno());
				}
				else
				{
					mysqli_query($polaczenie, "SET CHARSET utf8");
					mysqli_query($polaczenie, "SET NAMES 'utf8' COLLATE 'utf8_unicode_ci'");		
					
					$rezultat = "SELECT * FROM `".$prefix_table."bm_data_posty` WHERE `status` LIKE 'public' OR `status` LIKE 'protect_password' OR `status` LIKE 'private' ORDER BY `id` DESC LIMIT ".$this->load_post."";
					$wynik = $polaczenie->query($rezultat);
						
						$ile = mysqli_num_rows($wynik);
						$this->ile_query_post_load = $ile;
						for($i=0; $i < $ile; $i++){
						
							$row = mysqli_fetch_assoc($wynik);
							$id_post = $row['id'];
							$dodajacy_post = $row['dodajacy'];
							$tytul_post = $row['tytul'];
							$url_post = $row['url'];
							$kategoria_post = $row['kategoria'];
							$kategoria_post_post = $row['kategoria_post'];
							$status_post = $row['status'];
							$password_post = $row['password_post'];
							$tagi_post = $row['tagi'];
							$datetime_post = $row['datetime'];
							$datetime_zmiany_post = $row['datetime_zmiany'];
							$kto_edit_post = $row['kto_edit'];
							$komentarze = $row['bm_komentarze'];	
							$miniaturka = $row['bm_miniaturka'];	
							$tresc_post = $row['tresc'];	
							
							// sprawdzanie czy post jest chroniony hasłem
							if($status_post === "protect_password"){
								$komentarze = "protect_password";	
								$tresc_post = "protect_password";
							}
							
							// aktulizowanie danych o poscie
							array_push($this->id_post, $id_post);
							array_push($this->dodajacy_post, $dodajacy_post);
							array_push($this->tytul_post, $tytul_post);
							array_push($this->url_post, $url_post);
							array_push($this->kategoria_post, $kategoria_post);
							array_push($this->kategoria_post_post, $kategoria_post_post);
							array_push($this->status_post, $status_post);
							array_push($this->password_post, $password_post);
							array_push($this->tagi_post, $tagi_post);
							array_push($this->datetime_post, $datetime_post);
							array_push($this->datetime_zmiany_post, $datetime_zmiany_post);
							array_push($this->kto_edit_post, $kto_edit_post);
							array_push($this->komentarze, $komentarze);
							array_push($this->miniaturka, $miniaturka);
							array_push($this->tresc_post, $tresc_post);
							array_push($this->address_post, url_site_bm().$url_post."/");
						}
							
					$polaczenie->close();
				}
				
			}
			catch(Exception $e)
			{
				echo '<span style="color:red;">Błąd serwera! Przepraszamy za niedogodności i prosimy o powtórzenie działań póżniej!</span>';
				//echo '<br />Informacja developerska: '.$e;
			}
			
			return true;
		
		}
		
		// funkcjia do pobierania danych posta
		public function query_load_post(){
			return $this->ile_query_post_load;
		}
		
		public function id_post(){
			return $this->id_post;
		}
		
		public function author_post(){
			return $this->dodajacy_post;
		}

		public function title_post(){
			return $this->tytul_post;
		}
		
		public function url_post(){
			return $this->url_post;
		}
		
		public function format_post(){
			return $this->kategoria_post;
		}
		
		public function category_post(){
			return $this->kategoria_post_post;
		}
		
		public function status_post(){
			return $this->status_post;
		}
		
		public function tag_post(){
			return $this->tagi_post;
		}
		
		public function datetime_post(){
			return $this->datetime_post;
		}
		
		public function datetime_change_post(){
			return $this->datetime_zmiany_post;
		}
		
		public function user_edit_post(){
			return $this->kto_edit_post;
		}
		
		public function comments_post(){
			return $this->komentarze;
		}
		
		public function thumbnail_post(){
			return $this->miniaturka;
		}
		
		public function contents_post(){
			return $this->tresc_post;
		}

		public function address_post(){
			return $this->address_post;
		}

	}

?>